<!DOCTYPE html>
{% extends 'en/base.html' %}
{% block content %}
    {% include 'en/navbar.html' %}
    <div class="container">
        <div class="row">
            <div class="col">
 		<h3> Jobs for dataset <strong>{{dataset_name}}</strong></h3>
             <table class="table">
 		<caption> Completed jobs </caption>
			<thead>
			    <tr>
			      <th scope="col">id</th>
			      <th scope="col">Dataset</th>
			      <th scope="col">Name</th>
			      <th scope="col">Progress</th>
			      <th scope="col">See</th>
			      <th scope="col">Delete</th>
			      <th scope="col">Time</th>
			    </tr>
 			</thead>
   		{% for job in completed %}
                	<tr>
				<td>{{job.id}} </td>
				<td>{{job.name}} </td>
				<td>{{job.comb_done}}/{{job.total_comb}} </td>
 				<td><a class="btn btn-primary" href="{{url_for('show_feat_report',id=job.id)}}" role="button">See report</a>
 				<td><a class="btn btn-primary" href="{{url_for('delete_feat_report',id=job.id)}}" onclick="return confirmDelete({{job.id}})">Delete</a>
				<td>{{job.end_time-job.start_time}} </td>
				
 				{#<td><a class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#exampleModal">Borrar</a>#}
			</tr>
                {%endfor%}
	     </table>
 		<h3> Pending jobs </h3>
             <table class="table">
 		<caption> Pending jobs </caption>
			<thead>
			    <tr>
			      <th scope="col">id</th>
			      <th scope="col">Name</th>
			      <th scope="col">Completed</th>
			      <th scope="col">Progress</th>
			    </tr>
 			</thead>
   		{% for job in pending %}
                	<tr>
				<td>{{job.id}} </td>
				<td>{{job.name}} </td>
				<td>{{job.completed}} </td>
				<td>{{job.comb_done}}/{{job.total_comb}} </td>
			</tr>
                {%endfor%}
	     </table>
            </div>
        </div>  
    </div>
<script>
function confirmDelete(e) {
  if (confirm("Delete job results?") == true) {
    return true;
  } else {
    return false;
  }
}
</script>
{% endblock %}

